API DocumentationAddresses

Create a new address

POST
/api/manufacturer/v1/address/create

Creates a new address using the provided details

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/manufacturer/v1/address/create" \  -H "Content-Type: application/json" \  -d '{    "street1": "string",    "street2": "string",    "city": "string",    "state": "string",    "country": "string",    "zip": "string",    "name": "string",    "company": "string",    "phone": "string",    "email": "string",    "residential": true,    "organisationId": 0  }'
{  "addressId": 0,  "isBillingAddress": true,  "isShippingAddress": true,  "street1": "string",  "street2": "string",  "city": "string",  "state": "string",  "country": "string",  "countryAlpha2Code": "string",  "countryAlpha3Code": "string",  "jurisdictionIsoCode": "string",  "zip": "string",  "name": "string",  "company": "string",  "phone": "string",  "email": "string",  "residential": true,  "addressType": "string",  "isDeleted": true,  "taxId": "string"}
Empty